## org.apache.lucene.queryparser.flexible.standard.config
Enum StandardQueryConfigHandler.Operator

    java.lang.Object
      java.lang.Enum<StandardQueryConfigHandler.Operator>
          org.apache.lucene.queryparser.flexible.standard.config.StandardQueryConfigHandler.Operator

All Implemented Interfaces:
  Serializable, Comparable<StandardQueryConfigHandler.Operator>

Enclosing class:
  StandardQueryConfigHandler

    public static enum StandardQueryConfigHandler.Operator

extends Enum<StandardQueryConfigHandler.Operator>

Boolean Operator: AND or OR

Enum Constant Summary
`AND`
`OR`

Method Summary
`static StandardQueryConfigHandler.Operator` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static StandardQueryConfigHandler.Operator[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AND

    public static final StandardQueryConfigHandler.Operator AND

### OR

    public static final StandardQueryConfigHandler.Operator OR

Method Detail

### values

    public static StandardQueryConfigHandler.Operator[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (StandardQueryConfigHandler.Operator c : StandardQueryConfigHandler.Operator.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static StandardQueryConfigHandler.Operator valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.